org.apache.pdfbox.preflight.annotation

## Class AnnotationValidatorFactory

- java.lang.Object
- - org.apache.pdfbox.preflight.annotation.AnnotationValidatorFactory

Direct Known Subclasses:
  PDFAbAnnotationFactory

    public abstract class AnnotationValidatorFactory
    extends Object

### Field Summary

Fields
`protected ActionManagerFactory` `actionFact`
`protected Map<String,Class<? extends AnnotationValidator>>` `validatorClasses`

### Constructor Summary

Constructors
Constructor and Description
`AnnotationValidatorFactory()`
`AnnotationValidatorFactory(ActionManagerFactory actionFact)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`AnnotationValidator` `getAnnotationValidator(PreflightContext ctx, org.apache.pdfbox.cos.COSDictionary annotDic)` Return an instance of AnnotationValidator.
`protected abstract void` `initializeClasses()` Initialize the map of Validation classes used to create a validation object according to the Annotation subtype.
`void` `setActionFact(ActionManagerFactory _actionFact)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### actionFact

    protected ActionManagerFactory actionFact

#### validatorClasses

    protected Map<String,Class<? extends AnnotationValidator>> validatorClasses

### Constructor Detail

#### AnnotationValidatorFactory

    public AnnotationValidatorFactory()

#### AnnotationValidatorFactory

    public AnnotationValidatorFactory(ActionManagerFactory actionFact)

### Method Detail

#### setActionFact

    public final void setActionFact(ActionManagerFactory _actionFact)

#### initializeClasses

    protected abstract void initializeClasses()

Initialize the map of Validation classes used to create a validation object according to the Annotation subtype.

#### getAnnotationValidator

    public final AnnotationValidator getAnnotationValidator(PreflightContext ctx,
                                                            org.apache.pdfbox.cos.COSDictionary annotDic)
                                                     throws ValidationException

Return an instance of AnnotationValidator.

Parameters:
  `ctx` - the preflight context.
  `annotDic` - the annotation dictionary.
Returns:
  the AnnotationValidator instance.
Throws:
  `ValidationException`